require("tidyverse")
require("readxl")
require("finalfit")
require("writexl")

demo_data <- read_excel("demo data R ASAP.xlsx") 

plot(as.factor(demo_data$Facility))
plot(as.factor(demo_data$Gender))
plot(as.factor(demo_data$AgeGroup))
plot(as.factor(demo_data$YearsOnTreatment))
plot(as.factor(demo_data$Outcome))

# Final fit ---------------------------------------------------------------
demo_data <- demo_data %>%
  mutate(Facility = relevel(factor(Facility), ref="E"),
         Gender = relevel(factor(Gender), ref="FEMALE"),
         AgeGroup = relevel(factor(AgeGroup), ref="35-44"),
         YearsOnTreatment = relevel(factor(YearsOnTreatment), ref="5+"),
         # Set Active as reference for the outcome
         Outcome = relevel(factor(Outcome), ref="Active"))

# Set variables for model
explanatory = c("Facility" , "Gender","AgeGroup","YearsOnTreatment")
dependent = "Outcome"

# Produce OR table
OR_table <- demo_data %>%
  finalfit(dependent, explanatory,dependent_label_prefix = "")
# export OR table
write_xlsx(OR_table,"OR table.xlsx")

# Produce OR Plot
demo_data %>%
  or_plot(dependent, explanatory)
